package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "abonos_tigo")
public class AbonosTigo implements Serializable {

    @Id
    @Column(name = "idcorrelativo")
    private String idcorrelativo;
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Column(name = "monto")
    private BigDecimal monto;
    @Column(name = "fechapago")
    private Date fechapago;
    @Column(name = "numero_recibo")
    private String numeroRecibo;
    @Column(name = "serie_abono")
    private String serieAbono;
    @Column(name = "usuario")
    private String usuario;
    @Column(name = "anulado")
    private String anulado;
    @Column(name = "aplicado")
    private String aplicado;

    public String getIdcorrelativo() {
        return idcorrelativo;
    }

    public void setIdcorrelativo(String idcorrelativo) {
        this.idcorrelativo = idcorrelativo;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public BigDecimal getMonto() {
        return monto;
    }

    public void setMonto(BigDecimal monto) {
        this.monto = monto;
    }

    public Date getFechapago() {
        return fechapago;
    }

    public void setFechapago(Date fechapago) {
        this.fechapago = fechapago;
    }

    public String getNumeroRecibo() {
        return numeroRecibo;
    }

    public void setNumeroRecibo(String numeroRecibo) {
        this.numeroRecibo = numeroRecibo;
    }

    public String getSerieAbono() {
        return serieAbono;
    }

    public void setSerieAbono(String serieAbono) {
        this.serieAbono = serieAbono;
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public String getAnulado() {
        return anulado;
    }

    public void setAnulado(String anulado) {
        this.anulado = anulado;
    }

    public String getAplicado() {
        return aplicado;
    }

    public void setAplicado(String aplicado) {
        this.aplicado = aplicado;
    }

    public AbonosTigo() {
    }
}
